ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.IEcc1cSdkDeviceController Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IEcc1cSdkDeviceController:

## Public Member Functions
bool | Connect (int port)
| Connects to the device through COM port.
void | Disconnect (bool cleanUp=true)
| Disconnects from the device.
bool | GoToDfuMode ()
| Switches device to DFU mode.
bool | ChangeModeToPro ()
| Switches device to PRO mode.
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode.
bool | IsConnected ()
| Returns true, if connection to device is established.
bool | Reconnect ()
| Reconnects to alGety connected device.
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic.
string | GetLensSerialNumber ()
| Returns serial number of the connected lens.
EConnectedDeviceType | GetLensType ()
| Returns type of the product on specific channel.
byte[] | GetValue (int registerId)
| Returns register value.
bool | SetValue (int registerId, ValueType value)
| Set register value and returns if write was successful.

## Properties
IEccStatus | Status`[get]`
IEccDeviceEeprom | DeviceEeprom`[get]`
IEccTemperatureManager | TemperatureManager`[get]`
IEccSignalFlowManager | SignalFlowManager`[get]`
IEccMiscFeatures | MiscFeatures`[get]`
IEccSnapshotManager | SnapshotManager`[get]`

## Member Function Documentation

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ Connect()

bool ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.Connect | ( | int | port | ) |

Connects to the device through COM port.

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ Disconnect()

void ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.Disconnect | ( | bool | cleanUp = true | ) |

Disconnects from the device.

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetLensSerialNumber()

string ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.GetLensSerialNumber | ( |  | ) |

Returns serial number of the connected lens.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetLensType()

EConnectedDeviceType ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.GetLensType | ( |  | ) |

Returns type of the product on specific channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetValue()

byte[] ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.GetValue | ( | int | registerId | ) |

Returns register value.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.Reconnect | ( |  | ) |

Reconnects to alGety connected device.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetValue()

bool ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.SetValue | ( | int | registerId,
|  | ValueType | value )

Set register value and returns if write was successful.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## Property Documentation

## ◆ DeviceEeprom

IEccDeviceEeprom ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.DeviceEeprom
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ MiscFeatures

IEccMiscFeatures ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.MiscFeatures
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SignalFlowManager

IEccSignalFlowManager ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.SignalFlowManager
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SnapshotManager

IEccSnapshotManager ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.SnapshotManager
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ Status

IEccStatus ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.Status
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ TemperatureManager

IEccTemperatureManager ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.TemperatureManager
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/Ecc1cSdkDeviceController.cs